%define api_version	0.0
%define lib_major	0
%define lib_name	%mklibname uhttpmock %{api_version} %{lib_major}
%define gi_name		%mklibname uhttpmock-gir %{api_version}
%define develname	%mklibname uhttpmock -d

%define url_ver		%(echo %{version}|cut -d. -f1,2)

Summary:	HTTP web service mocking library
Name:		uhttpmock
Epoch:		1
Version:	0.5.3
Release:	%mkrel 1
Group:		System/Libraries
License:	LGPLv2+
URL:		http://gitorious.org/uhttpmock
Source0:	https://tecnocode.co.uk/downloads/uhttpmock/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.16.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.16
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.4
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	gtk-doc
BuildRequires:	intltool

%description
uhttpmock is a project for mocking web service APIs which use HTTP or HTTPS.
It provides a library, libuhttpmock, which implements recording and
playback of HTTP request/response traces.

%package -n %{lib_name}
Summary:	HTTP web service mocking library
Group:		System/Libraries

%description -n %{lib_name}
uhttpmock is a project for mocking web service APIs which use HTTP or HTTPS.
It provides a library, libuhttpmock, which implements recording and
playback of HTTP request/response traces.

%package -n %develname
Summary:	Support files necessary to compile applications with %{name}
Group:		Development/C
Requires:	%{lib_name} = %epoch:%{version}
Requires:	%{gi_name} = %epoch:%{version}
Provides:	%{name}-%{api_version}-devel = %epoch:%{version}-%{release}
Provides:	%{name}-devel = %epoch:%{version}-%{release}

%description -n %develname
Libraries, headers, and support files necessary to compile
applications using %{name}.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{lib_name} = %epoch:%{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for %{name}.

%prep
%setup -q

%build
%configure --enable-gtk-doc --disable-static --enable-introspection --enable-vala
%make_build

%install
%make_install

# remove unpackaged files
rm -rf %{buildroot}%{_datadir}/../doc/lib%{name}
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{lib_name}
%doc AUTHORS COPYING README NEWS
%{_libdir}/lib%{name}*-%{api_version}.so.%{lib_major}{,.*}

%files -n %develname
%doc %{_datadir}/gtk-doc/html/lib%{name}-%{api_version}
%{_datadir}/gir-1.0/Uhm-%{api_version}.gir
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/vala/vapi/lib%{name}-%{api_version}.*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Uhm-%{api_version}.typelib


%changelog
* Sat Dec 26 2020 daviddavid <daviddavid> 1:0.5.3-1.mga8
+ Revision: 1663939
- new version: 0.5.3

* Fri May 29 2020 daviddavid <daviddavid> 1:0.5.2-1.mga8
+ Revision: 1588777
- new version: 0.5.2

* Fri Feb 14 2020 umeabot <umeabot> 1:0.5.1-3.mga8
+ Revision: 1517659
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:0.5.1-2.mga7
+ Revision: 1301508
- Mageia 7 Mass Rebuild

* Mon Aug 14 2017 daviddavid <daviddavid> 1:0.5.1-1.mga7
+ Revision: 1140295
- new version: 0.5.1

* Fri Feb 12 2016 umeabot <umeabot> 1:0.5.0-2.mga6
+ Revision: 959088
- Mageia 6 Mass Rebuild

* Tue Aug 18 2015 ovitters <ovitters> 1:0.5.0-1.mga6
+ Revision: 865809
- new version 0.5.0

* Mon Jun 29 2015 wally <wally> 1:0.2.0-5.mga6
+ Revision: 847874
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 1:0.2.0-4.mga5
+ Revision: 744111
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1:0.2.0-3.mga5
+ Revision: 724969
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1:0.2.0-2.mga5
+ Revision: 690029
- Mageia 5 Mass Rebuild

* Thu Feb 06 2014 ovitters <ovitters> 1:0.2.0-1.mga5
+ Revision: 584140
- imported package uhttpmock

